# This file is part of CloudControl.
#
# CloudControl is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# CloudControl is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with CloudControl.  If not, see <http://www.gnu.org/licenses/>.


""" Interface used to get events from the jobs manager.
"""

from abc import ABCMeta


class JobsManagerInterface(object):

    __metaclass__ = ABCMeta

    def __init__(self):
        pass

    def on_job_created(self, job):
        """ Method called by the jobs manager when a job is created.
        """

    def on_job_updated(self, job):
        """ Method called when a change occurs in a job attribute.
        """

    def on_job_purged(self, job):
        """ Method called by the jobs manager when a job is purged.
        """
